# Uses of Class
com.usatiuk.dhfs.persistence.JObjectKeyP.Builder

Packages that use JObjectKeyP.Builder
Package
Description
com.usatiuk.dhfs.persistence
com.usatiuk.dhfs.repository

## Uses of JObjectKeyP.Builder in com.usatiuk.dhfs.persistence

Methods in com.usatiuk.dhfs.persistence that return JObjectKeyP.Builder
Modifier and Type
Method
Description
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`clear()`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`clearName()`
`string name = 1;`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`clone()`
`JObjectKeyP.Builder`
PeerIdP.Builder.`getIdBuilder()`
`.dhfs.persistence.JObjectKeyP id = 1;`
`JObjectKeyP.Builder`
ChunkDataP.Builder.`getKeyBuilder()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`mergeFrom(com.google.protobuf.Message other)`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`mergeFrom(JObjectKeyP other)`
`final JObjectKeyP.Builder`
JObjectKeyP.Builder.`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`static JObjectKeyP.Builder`
JObjectKeyP.`newBuilder()`
`static JObjectKeyP.Builder`
JObjectKeyP.`newBuilder(JObjectKeyP prototype)`
`JObjectKeyP.Builder`
JObjectKeyP.`newBuilderForType()`
`protected JObjectKeyP.Builder`
JObjectKeyP.`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`setName(String value)`
`string name = 1;`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`setNameBytes(com.google.protobuf.ByteString value)`
`string name = 1;`
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final JObjectKeyP.Builder`
JObjectKeyP.Builder.`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`JObjectKeyP.Builder`
JObjectKeyP.`toBuilder()`
Methods in com.usatiuk.dhfs.persistence with parameters of type JObjectKeyP.Builder
Modifier and Type
Method
Description
`PeerIdP.Builder`
PeerIdP.Builder.`setId(JObjectKeyP.Builder builderForValue)`
`.dhfs.persistence.JObjectKeyP id = 1;`
`ChunkDataP.Builder`
ChunkDataP.Builder.`setKey(JObjectKeyP.Builder builderForValue)`
`.dhfs.persistence.JObjectKeyP key = 1;`

## Uses of JObjectKeyP.Builder in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return JObjectKeyP.Builder
Modifier and Type
Method
Description
`JObjectKeyP.Builder`
CanDeleteReply.Builder.`addReferrersBuilder()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`JObjectKeyP.Builder`
CanDeleteReply.Builder.`addReferrersBuilder(int index)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`JObjectKeyP.Builder`
CanDeleteRequest.Builder.`getNameBuilder()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP.Builder`
GetObjectRequest.Builder.`getNameBuilder()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP.Builder`
CanDeleteReply.Builder.`getReferrersBuilder(int index)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type JObjectKeyP.Builder
Modifier and Type
Method
Description
`List<JObjectKeyP.Builder>`
CanDeleteReply.Builder.`getReferrersBuilderList()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
Methods in com.usatiuk.dhfs.repository with parameters of type JObjectKeyP.Builder
Modifier and Type
Method
Description
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`addReferrers(int index, JObjectKeyP.Builder builderForValue)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`addReferrers(JObjectKeyP.Builder builderForValue)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`CanDeleteRequest.Builder`
CanDeleteRequest.Builder.`setName(JObjectKeyP.Builder builderForValue)`
`.dhfs.persistence.JObjectKeyP name = 2;`
`GetObjectRequest.Builder`
GetObjectRequest.Builder.`setName(JObjectKeyP.Builder builderForValue)`
`.dhfs.persistence.JObjectKeyP name = 2;`
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`setReferrers(int index, JObjectKeyP.Builder builderForValue)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`